# Class Parameter

Class Parameter

Declaration :

- C++ : template<class VAL> class Parameter

Descriptor and access object for a plugin parameter. Parameters may be provided with values from the session, and this values may be automated.

Artifact : parameter, Component(s) : ProcNode

Operation getValue

Declaration :

- Uml : + getValue() : VAL
- C++ : public: VAL getValue () const

Relation <association>

Declaration :

- Uml : # provider : ParamProvider, multiplicity : 1
- C++ : protected: ParamProvider* provider

All public operations : getValue